Skip to main content
GET
https://api.legitmark.com
/
api
/
v2
/
types
/
{type_uuid}
/
brands
Get Type Brands
curl --request GET \
  --url https://api.legitmark.com/api/v2/types/{type_uuid}/brands \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Brands fetched successfully",
  "data": [
    {
      "uuid": "9dd17453-353a-4dc1-9bdc-c08cca38942a",
      "name": "Alexander McQueen",
      "media": "https://cdn.legitmark.com/brands/alexander_mcqueen.png",
      "active": true,
      "ordinal": null,
      "relation_active": true,
      "brand_active": true
    },
    {
      "uuid": "6fce28f2-b59d-11ef-b98d-06fb0f2a63e5",
      "name": "Brunello Cucinelli",
      "media": "https://cdn.legitmark.com/brands/brunello_cucinelli.png",
      "active": true,
      "ordinal": null,
      "relation_active": true,
      "brand_active": true
    }
  ],
  "total": 45
}

Documentation Index

Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:leo_your_api_key_here
required

Bearer token authentication. Use your API key in the format: Bearer leo_xxxxxxxx

Path Parameters

type_uuid
string<uuid>
required

Type UUID

Query Parameters

include_counts
boolean
default:false

Include side group counts for each brand

include_inactive
boolean
default:false

Include inactive brands in the response

Response

Brands retrieved successfully

The response is of type any.